Subject: [bitcoin-dev] Seeking concept ACKs for transaction terminology BIP

From: Murch <[email-masked]>
Date: Wed, 5 Apr 2023 14:54:15 -0400

Hey everyone,

Over the years, I have participated in a few conversations about various 
aspects of transactions. Often a chunk of the conversation is spent on 
establishing a shared vocabulary. There are many competing terms—e.g. I 
can think of at least three additional terms that refer to `scriptPubKey`.

I’ve drafted an informational BIP that proposes terminology for various 
components and aspects of transactions. As some established terms are 
already contradictory, the proposal does not aim for a perfectly 
consistent selection of terms, but rather just to establish a shared 
vocabulary to avoid confusion.

Draft: https://github.com/Xekyo/bips/pull/1

Please let me know whether you’d be interested in the creation of such a 
BIP.

Cheers,
Murch